# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.lucene.codecs.bitvectors.HnswBitVectorsFormat
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"HnswBitVectorsFormat"`

org.apache.lucene.codecs.blockterms.BlockTermsWriter
Modifier and Type
Constant Field
Value
`public static final int`
`VERSION_CURRENT`
`4`
`public static final int`
`VERSION_START`
`4`
org.apache.lucene.codecs.blockterms.FixedGapTermsIndexWriter
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_TERM_INDEX_INTERVAL`
`32`

org.apache.lucene.codecs.blocktreeords.BlockTreeOrdsPostingsFormat
Modifier and Type
Constant Field
Value
`public static final int`
`BLOCK_SIZE`
`128`
org.apache.lucene.codecs.blocktreeords.OrdsBlockTreeTermsWriter
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_MAX_BLOCK_SIZE`
`48`
`public static final int`
`DEFAULT_MIN_BLOCK_SIZE`
`25`
`public static final int`
`VERSION_CURRENT`
`1`
`public static final int`
`VERSION_START`
`1`

org.apache.lucene.codecs.bloom.BloomFilteringPostingsFormat
Modifier and Type
Constant Field
Value
`public static final String`
`BLOOM_CODEC_NAME`
`"BloomFilter"`
`public static final int`
`VERSION_CURRENT`
`3`
`public static final int`
`VERSION_START`
`3`

org.apache.lucene.codecs.memory.FSTTermsWriter
Modifier and Type
Constant Field
Value
`public static final int`
`TERMS_VERSION_CURRENT`
`2`
`public static final int`
`TERMS_VERSION_START`
`2`

org.apache.lucene.codecs.simpletext.SimpleTextSegmentInfoFormat
Modifier and Type
Constant Field
Value
`public static final String`
`SI_EXTENSION`
`"si"`

org.apache.lucene.codecs.uniformsplit.IntersectBlockReader
Modifier and Type
Constant Field
Value
`protected final int`
`NUM_CONSECUTIVELY_REJECTED_TERMS_THRESHOLD`
`4`
org.apache.lucene.codecs.uniformsplit.UniformSplitPostingsFormat
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"UniformSplit"`
`public static final String`
`TERMS_BLOCKS_EXTENSION`
`"ustb"`
`public static final String`
`TERMS_DICTIONARY_EXTENSION`
`"ustd"`
`public static final int`
`VERSION_CURRENT`
`1`
`public static final int`
`VERSION_ENCODABLE_FIELDS_METADATA`
`1`
`public static final int`
`VERSION_START`
`0`
org.apache.lucene.codecs.uniformsplit.UniformSplitTermsWriter
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_DELTA_NUM_LINES`
`3`
`public static final int`
`DEFAULT_TARGET_NUM_BLOCK_LINES`
`32`
`protected static final int`
`MAX_NUM_BLOCK_LINES`
`1000`

org.apache.lucene.codecs.uniformsplit.sharedterms.STUniformSplitPostingsFormat
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"SharedTermsUniformSplit"`
`public static final String`
`TERMS_BLOCKS_EXTENSION`
`"stustb"`
`public static final String`
`TERMS_DICTIONARY_EXTENSION`
`"stustd"`
`public static final int`
`VERSION_CURRENT`
`1`